Bug 438238 - pdflatex fails to build some LaTeX files
pdflatex fails to build some LaTeX files
Product: Fedora
Classification: Fedora
Component: texlive-texmf (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Jindrich Novy
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-03-19 16:11 EDT by Matthew Saltzman
Modified: 2013-07-02 19:27 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-07-14 11:34:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
LaTeX file that fails to build with pdflatex. (248 bytes, text/plain)
2008-03-19 16:11 EDT, Matthew Saltzman
no flags Details

  None (edit)
Description Matthew Saltzman 2008-03-19 16:11:57 EDT
Description of problem:
pdflatex fails on the attached beamer source.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. pdflatex talk.tex
Actual results:
Build fails with error:
!pdfTeX error: pdflatex (file /usr/local/share/texmf/tex/latex/beamer/base/art/
beamericonarticle.20.pdf): xpdf: reading PDF image failed
 ==> Fatal error occurred, no output PDF file produced!

Expected results:
Normal termination, PDF produced.

Additional info:
This works with tetex.  It builds with TeXLive using latex, dvips, and ps2pdf,
but some beamer features are sacrificed that way.
Comment 1 Matthew Saltzman 2008-03-19 16:11:57 EDT
Created attachment 298580 [details]
LaTeX file that fails to build with pdflatex.
Comment 2 Jindrich Novy 2008-03-20 04:40:43 EDT
It works for me. It seems like either beamer instalation or
beamericonarticle.20.pdf is damaged, could you please attach the file here?
Comment 3 Jindrich Novy 2008-03-20 04:46:21 EDT
Ah, got it. I didn't realize it from the first look. It seems like you don't use
the original TEXMF tree which is in /usr/share/texmf, your tree is in
/usr/local/ ...
Comment 4 Patrice Dumas 2008-03-20 05:17:09 EDT
I also experienced the same issue but I cannot reproduce it and 
I don't remember which document it was...
Comment 5 Matthew Saltzman 2008-03-20 11:17:59 EDT
$ diff `locate beamericonarticle.20.pdf`

produces no output, so the two files are identical.  Something else is going on.

(In reply to comment #3)
> Ah, got it. I didn't realize it from the first look. It seems like you don't use
> the original TEXMF tree which is in /usr/share/texmf, your tree is in
> /usr/local/ ...

That's because of bug #437375.  The packages I have in the /usr/local tree are
the most recent beamer, an old foiltex, and a style called mathprog that
customizes LaTeX for a journal I write for.  Only beamer is relevant here.

I thought it had failed for me without the /usr/local tree before, but now it
doesn't.  It does complain a lot about missing font files, though:

pdfTeX warning: pdflatex (file /var/lib/texmf/fonts/map/pdftex/updmap/pdftex.ma
p): ambiguous entry for `tosl7': font file present but not included, will be tr
eated as font file not present
Comment 6 Matthew Saltzman 2008-05-04 18:08:47 EDT
After updating to texlive-latex-2007-29.fc8.x86_64 and related packages, I can
no longer reproduce this problem.

Whatever you did, thanks!

The font messages still occur, but I'll open a separate bug for those.
Comment 7 Bug Zapper 2008-05-14 02:44:45 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
Comment 8 Bug Zapper 2009-06-09 19:48:37 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 9 Bug Zapper 2009-07-14 11:34:55 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.